# StringCompare Struct Reference

Simple string comparator using strcmp as implementation. More...

## Public Member Functions
bool | operator() (const char *a, const char *b) const
bool | operator() (const char *a, const char *b) const
| Compare a to b using strcmp.

## Detailed Description

Simple string comparator using strcmp as implementation.

Definition at line 15 of file string_compare_type.hpp.

## Member Function Documentation

bool StringCompare::operator() | ( | const char * | a,
|  | const char * | b |
| ) |  |  | const`[inline]`

Compare a to b using strcmp.

Parameters:

  | a | string to compare.
  | b | string to compare.

Returns:
  whether a is less than b.

Definition at line 45 of file depend.cpp.

The documentation for this struct was generated from the following files:

- src/core/string_compare_type.hpp
- src/depend/depend.cpp